Bug 229772 - x11/plasma5-plasma-workspace: ksmserver bind to *:xxxx
Summary: x11/plasma5-plasma-workspace: ksmserver bind to *:xxxx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-14 17:39 UTC by Sky23eCao
Modified: 2019-04-15 10:26 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sky23eCao 2018-07-14 17:39:43 UTC
ksmserver from x11/plasma5-plasma-workspace bind ip to *
When create jail using ezjail, it complain.
Is that possible to config it?
I don't find a way to do it anywhere.

Thanks.
Comment 1 Sky23eCao 2018-07-14 17:42:06 UTC
I just want ksmserver bind to specified ip which can be config
Comment 2 Tobias C. Berner freebsd_committer 2018-10-20 21:19:22 UTC
Hi there


I'm not sure if it is possible. You might have more luck, asking upstream directly.


mfg Tobias
Comment 3 Adriaan de Groot freebsd_committer 2019-04-14 22:19:17 UTC
 - use fstat -p `pgrep ksmserver` to see that it is, in fact, listening to inet and inet6 traffic
 - I can't figure out how to go from the fstat output to "ksmserver is listening *there*"

In any case, here's a (German-language) report of the same https://bbs.archlinux.de/viewtopic.php?id=25645 . Examining the code of ksmserver shows it is using libICE to listen, and it is libICE that is creating those listening sockets. There is a way to avoid listening to tcp, for ICE, but I'm still chasing how that works.
Comment 4 commit-hook freebsd_committer 2019-04-15 10:23:06 UTC
A commit references this bug:

Author: adridg
Date: Mon Apr 15 10:22:55 UTC 2019
New revision: 499012
URL: https://svnweb.freebsd.org/changeset/ports/499012

Log:
  Fix libICE detection in x11/plasma5-plasma-workspace

  Looking for _IceTransNoListen in libICE was broken because libICE
  isn't in the standard linker paths. Use full path instead.

  This allows ksmserver to switch off TCP-listening in libICE, and
  so ksmserver no longer opens a port (on all interfaces). This is
  normal behavior everywhere else. Users needing the old behavior,
  add --nolocal to ksmserver's flags.

  Patch has been submitted upstream.

  PR:		229772

Changes:
  head/x11/plasma5-plasma-workspace/Makefile
  head/x11/plasma5-plasma-workspace/files/patch-ksmserver_CMakeLists.txt
  head/x11/plasma5-plasma-workspace/files/patch-startkde__startkde.cmake
Comment 5 Adriaan de Groot freebsd_committer 2019-04-15 10:26:43 UTC
Fixed in plasma5-plasma-workspace-5.15.4_1, thanks for reporting!